<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@60DB=99</action>
    </script>
  </cheat>

  <cheat desc="Invaders don't fire">
    <script state="run">
      <action>maincpu.pw@6069=3000</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@0BD3</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0BD3=C9</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0BD3=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Bullet Speed always =">
    <parameter>
      <item value="0x02">Slow</item>
      <item value="0x04">Normal</item>
      <item value="0x06">Fast</item>
      <item value="0x08">V Fast</item>
      <item value="0x0A">Turbo</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@602C=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@602D=00</action>
    </script>
  </cheat>

  <cheat desc="Penetrable Shot"> <comment>Enabled against invaders.This cheat has not been fully tested, if you encounter any problems or you've finished the game with no problems please post on the cheat forums</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@0962</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0962=02</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0962=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@61FF=07</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@62FF=07</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
